Requirements

, by James

Next version

No future version planned.

Maintained versions

SPIP 4.0

Required

  • PHP Compatibility: 7.3 - 8.0
  • PHP Extensions: xml, gd2

Suggestions

  • Database
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Image Processing
    • NetPBM
    • Imagick/convert
    • Freetype

Provided

  • jquery v3.6.0

System needs

  • Free space (off database) : 150 Mb
  • RAM : 128 Mb

SPIP 3.2

Required

  • PHP Compatibility: 5.4 - 7.4
  • PHP Extensions: xml, gd2

Suggestions

  • Database
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Image Processing
    • NetPBM
    • Imagick/convert
    • Freetype

Provided

  • jquery v3.2, jquery-ui v1.12

System needs

  • Free space (off database) : 150 Mb
  • RAM : 128 Mb

End of life branches

SPIP 3.1

Required

  • PHP Compatibility: 5.1 - 7.1
  • PHP Extensions: xml, gd2

Suggestions

  • Database
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Image Processing
    • NetPBM
    • Imagick/convert
    • Freetype

Provided

  • jquery v1.11.3, jquery-ui v1.11.4

System needs

  • Free space (off database) : 150 Mb
  • RAM : 128 Mb

SPIP 3.0

Required

  • PHP Compatibility: 5.1 - 5.6

Suggestions

  • Database
    • SQLite : 3
    • MySQL : 5.0 - 5.7
  • Image Processing
    • NetPBM
    • Imagick/convert
    • Freetype

Provided

  • jquery v1.7.2

System needs

  • Free space (off database) : 150 Mb
  • RAM : 128 Mb